<ion-header>
  <ion-toolbar>
    <ion-buttons>
      <ion-back-button text="Log out" (click)="logout()" defaultHref="home"></ion-back-button>
    </ion-buttons>
    <img class="user" (click)="user()" src="../../assets/icon/user.png" />
    <ion-title>USER</ion-title>
  </ion-toolbar>
</ion-header>


<ion-content>
   <h2>Welcome {{nombreUser}}</h2>


  <div class="filtros">
   <ion-searchbar (ionChange)="buscarName($event)" ></ion-searchbar>
  </div>
   <ion-list>
    <ion-reorder-group (ionItemReorder)="onRenderItems($event)" disabled="false">
      <ion-item-sliding *ngFor="let item of restaurantes | fname:fnombre;let i = index; ">
    <ion-item (click)="gotores(item.res)">
      <ion-label>
        <div>
          <img class="ojo" *ngIf="!item.res.visited" src="../../assets/icon/eye.png"/>
          <img class="ojo" *ngIf="item.res.visited" src="../../assets/icon/green-eye.png"/> 
        </div>
      </ion-label>
      <ion-label>
        <h3>{{item.res.name}}</h3>
        <h4>{{item.res.type}}</h4>
      </ion-label>
      <ion-label>
        <h5>Price: {{item.res.min}} - {{item.res.max}}€</h5>
      </ion-label>
      <ion-reorder slot="end"></ion-reorder>
    </ion-item>
  
  
     
 </ion-item-sliding>
    </ion-reorder-group>
  </ion-list> 
  
  <ion-fab vertical="bottom" horizontal="end" slot="fixed" (click)="addres()">
      <ion-fab-button>
        <ion-icon name="add"></ion-icon>
      </ion-fab-button>
    </ion-fab>
</ion-content>
